;------------------------------------------------------------------------------
pro lts_linefit_example
;
; V1.0: Michele Cappellari, Oxford, 07 March 2011

ntot = 300 ; Number of values

; Coefficients of the test line
;
a = 10d
b = 0.5d

s = 1234  ; random seed
n = ntot*0.9
x = 20 + (0.5-randomu(s,n))*3
y = a + b*x

sig_int = 0.3d ; Intrinsic scatter in y
y += randomn(s,n)*sig_int

sigx = 0.1 ; Observational error in x
sigy = 0.2 ; Observational error in y
x += randomn(s,n)*sigx
y += randomn(s,n)*sigy

; Outliers produce a background of spurious values
; intersecting with the true distribution
;
nout = ntot*0.1 ; 10% outliers
x1 = max(x) - randomu(s,nout)*(max(x)-min(x))/2
y1 = 23 + (0.5-randomu(s,nout))*6

; Combines the good values and the outliers in one vector
;
x = [x[*],x1[*]]
y = [y[*],y1[*]]

sigx = x*0d + sigx ; Adopted error in x
sigy = x*0d + sigy ; Adopted error in y

lts_linefit, x, y, sigx, sigy, ab, sig_ab, chi2, $
    /PLOT, /TEXT, /EPSY, XTITLE='x', YTITLE='y', PIVOT=median(x)

end
;------------------------------------------------------------------------------
